Bug 1416884 - [7.0.z] nova creates an invalid ethernet/bridge interface definition in virsh xml
Summary: [7.0.z] nova creates an invalid ethernet/bridge interface definition in virsh...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: async
: 7.0 (Kilo)
Assignee: Artom Lifshitz
QA Contact: Prasanth Anbalagan
URL:
Whiteboard:
Depends On: 1408464 1412834
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 17:07 UTC by Stephen Gordon
Modified: 2019-09-09 13:38 UTC (History)
13 users (show)

Fixed In Version: openstack-nova-2015.1.4-30.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1408464
Environment:
Last Closed: 2017-02-15 23:00:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1649527 0 None None None 2017-01-26 17:07:51 UTC
OpenStack gerrit 411936 0 None None None 2017-01-26 17:07:51 UTC
Red Hat Product Errata RHSA-2017:0282 0 normal SHIPPED_LIVE Moderate: openstack-cinder, openstack-glance, and openstack-nova security update 2017-02-16 03:52:44 UTC

Comment 3 Prasanth Anbalagan 2017-02-08 19:49:22 UTC
Verified as follows - No validation error observed in instance XML

# yum list installed | grep openstack-nova
openstack-nova-api.noarch            2015.1.4-30.el7ost      @rhelosp-7.0-puddle
openstack-nova-cert.noarch           2015.1.4-30.el7ost      @rhelosp-7.0-puddle
openstack-nova-common.noarch         2015.1.4-30.el7ost      @rhelosp-7.0-puddle
openstack-nova-compute.noarch        2015.1.4-30.el7ost      @rhelosp-7.0-puddle
openstack-nova-conductor.noarch      2015.1.4-30.el7ost      @rhelosp-7.0-puddle
openstack-nova-console.noarch        2015.1.4-30.el7ost      @rhelosp-7.0-puddle
openstack-nova-novncproxy.noarch     2015.1.4-30.el7ost      @rhelosp-7.0-puddle
openstack-nova-scheduler.noarch      2015.1.4-30.el7ost      @rhelosp-7.0-puddle


# virsh dumpxml 2 |grep tap -A5 -B3
    <interface type='bridge'>
      <mac address='fa:16:3e:c6:3c:7b'/>
      <source bridge='qbrc276cc36-f4'/>
      <target dev='tapc276cc36-f4'/>
      <model type='virtio'/>
      <alias name='net0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x03' function='0x0'/>
    </interface>
    <serial type='file'>

# virsh dumpxml 2 > 2.xml
# virt-xml-validate 2.xml
2.xml validates

Comment 5 errata-xmlrpc 2017-02-15 23:00:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0282.html


Note You need to log in before you can comment on or make changes to this bug.